
using System;
using PlanetExpress.items.shells;
using PlanetExpress.items.enemys;

namespace PlanetExpress.items.weapon {
	
	
	public class BaseLaser : CustomWeapon {
		
		public BaseLaser(CustomGameObject person) : base(person) {
		}
		
		
		protected override void doShoot (float x, float y, float angle) {
			CustomShellClass cc = new LaserShell(x, y, angle);
			cc.CollisionClass = Person.CollisionClass;
			MissionScreenClass.Area.AddObject(cc);
		}

	}
}
